//同步参数查询响应
// 秒寻科技
// zt 2024-10-03

package oam

import (
	"encoding/binary"
	"ipsomc/module/bparam/bparammodel"
)

type OamBts struct {
}

const (
	ORDER_BTS_ID            = 0x0601 // 基站ID，32bit
	ORDER_BTS_CARRIER_ID    = 0x0602 // 载波ID（1，2，3，4，5，6，7，8，9）
	ORDER_BTS_TIMESLOT      = 0x0603 // 信号发送时隙（1，2，3，4）
	ORDER_BTS_LOCATION_TYPE = 0x0604 // 定位类型
	ORDER_BTS_TWO_BTS_NUM   = 0x0605 // 两基站定位数量
	ORDER_BTS_TWO_BTS_LIST  = 0x0606 // 两基站定位基站列表，以英文逗号分割
)

// 同步参数查询响应
// dataModel:基站基本参数模型
// wCommand:监控命令
// datalist:数据队列
// wLen:队列长度
func (obj *OamBts) OamBtsQueryResp(dataModel *bparammodel.BtsBaseParam, wCommand uint16, datalist []byte, wLen uint16) error {
	switch wCommand {
	case ORDER_BTS_ID: //基站ID
		dataModel.BtsID = int(binary.LittleEndian.Uint32(datalist[0:4]))
	case ORDER_BTS_CARRIER_ID: //载波id
		dataModel.CarrierID = uint8(datalist[0])
	case ORDER_BTS_TIMESLOT: //基站时隙
		dataModel.Timeslot = uint8(datalist[0])
	default:
		break
	}

	return nil
}
